#! /bin/sh
. ./conf.txt
mkdir $OUT_DIR/out$DATE_CODE
echo THE BEGINNING OF THE TEST >>$AS_HOME/domains/domain1/logs/server.log
files=`ls -t $EAR_DIR`
for file in $files
do
     datafile=`echo "${file}"`
     dep_name=`echo $datafile|awk -F. '{print $1}'`

     echo "DEPLOYMENT" $dep_name >> $AS_HOME/domains/domain1/logs/server.log
     resp=`$AS_HOME/bin/asadmin deploy  $EAR_DIR/${datafile} | grep "executed successfully"|wc -l`
     echo $dep_name deploy $resp

     cp -R $AS_HOME/domains/domain1/applications/$dep_name $OUT_DIR/out$DATE_CODE/
     rm $OUT_DIR/out$DATE_CODE/$dep_name/*.?ar >/dev/null 2>&1

     echo "DISABLE" $dep_name >> $AS_HOME/domains/domain1/logs/server.log
     resp=`$AS_HOME/bin/asadmin disable  $dep_name| grep "executed successfully"|wc -l`
     echo $dep_name disable $resp 

     echo "ENABLE" $dep_name >> $AS_HOME/domains/domain1/logs/server.log
     resp=`$AS_HOME/bin/asadmin enable  $dep_name| grep "executed successfully"|wc -l`
     echo $dep_name enable $resp

     echo "REDEPLOY --FORCE" $dep_name >> $AS_HOME/domains/domain1/logs/server.log
     resp=`$AS_HOME/bin/asadmin deploy  --force=true  $EAR_DIR/${datafile} | grep "executed successfully"|wc -l`
     echo $dep_name redeploy --force $resp

     echo "REDEPLOY" $dep_name >> $AS_HOME/domains/domain1/logs/server.log
     resp=`$AS_HOME/bin/asadmin redeploy --name $dep_name  $EAR_DIR/${datafile} | grep "executed successfully"|wc -l`
     echo $dep_name redeploy $resp

     echo "UNDEPLOY" $dep_name >> $AS_HOME/domains/domain1/logs/server.log
     resp=`$AS_HOME/bin/asadmin undeploy  $dep_name | grep "executed successfully"|wc -l`
     echo $dep_name undeploy $resp
     
     echo "DEPLOY WITH CONTEXT" $dep_name >> $AS_HOME/domains/domain1/logs/server.log
     resp=`$AS_HOME/bin/asadmin deploy  --contextroot temp --name qwerty1  $EAR_DIR/${datafile} | grep "executed successfully"|wc -l`
     echo $dep_name deploy with context  $resp

     echo "REDEPLOY QWERTY" $dep_name >> $AS_HOME/domains/domain1/logs/server.log
     resp=`$AS_HOME/bin/asadmin redeploy --name qwerty1  $EAR_DIR/${datafile} | grep "executed successfully"|wc -l`
     echo $dep_name redeploy qwerty $resp


     echo "UNDEPLOYMENT WITH CONTEXT" $dep_name >> $AS_HOME/domains/domain1/logs/server.log
     resp=`$AS_HOME/bin/asadmin undeploy  qwerty1 | grep "executed successfully"|wc -l`
     echo $dep_name undeployment with context $resp

     echo "DIRECTORY DEPLOYMENT" $dep_name >> $AS_HOME/domains/domain1/logs/server.log 
     resp=`$AS_HOME/bin/asadmin deploy  --path $OUT_DIR/out$DATE_CODE/$dep_name | grep "executed successfully"|wc -l`
     echo $dep_name directory deployment $resp

     echo "DIRECTORY UNDEPLOYMENT" $dep_name >> $AS_HOME/domains/domain1/logs/server.log
     resp=`$AS_HOME/bin/asadmin undeploy  $dep_name | grep "executed successfully"|wc -l`
     echo $dep_name directory undeployment $resp
 

echo "DEPLOYMENT" $dep_name >> $AS_HOME/domains/domain1/logs/server.log
resp=`$AS_HOME/bin/asadmin deploy $EAR_DIR/${datafile} | grep "executed successfully"|wc -l`
echo $dep_name deploy $resp

echo "DISABLE" $dep_name >> $AS_HOME/domains/domain1/logs/server.log
resp=`$AS_HOME/bin/asadmin disable  $dep_name| grep "executed successfully"|wc -l`
echo $dep_name disable $resp

echo "REDEPLOY --FORCE AFTER DISABLE" $dep_name >> $AS_HOME/domains/domain1/logs/server.log
resp=`$AS_HOME/bin/asadmin deploy --force=true  $EAR_DIR/${datafile} | grep "executed successfully"|wc -l`
echo $dep_name redeploy --force after disable $resp 

echo "DISABLE" $dep_name >> $AS_HOME/domains/domain1/logs/server.log
resp=`$AS_HOME/bin/asadmin disable  $dep_name| grep "executed successfully"|wc -l`
echo $dep_name disable $resp

echo "REDEPLOY AFTER DISABLE" $dep_name >> $AS_HOME/domains/domain1/logs/server.log
resp=`$AS_HOME/bin/asadmin redeploy --name $dep_name  $EAR_DIR/${datafile} | grep "executed successfully"|wc -l`
echo $dep_name redeploy  after disable $resp

echo "DISABLE" $dep_name >> $AS_HOME/domains/domain1/logs/server.log
resp=`$AS_HOME/bin/asadmin disable  $dep_name| grep "executed successfully"|wc -l`
echo $dep_name disable $resp

echo "UNDEPLOY AFTER DISABLE" $dep_name >> $AS_HOME/domains/domain1/logs/server.log
resp=`$AS_HOME/bin/asadmin undeploy  $dep_name | grep "executed successfully"|wc -l`
echo $dep_name undeploy  after disable $resp

done

 
echo THE END  OF THE TEST >>$AS_HOME/domains/domain1/logs/server.log
